<div class="profile">
  <ion-header class="ion-no-border">
    <ion-toolbar class="new-background-color ion-no-border">
      <ion-buttons slot="start">
        <ion-back-button defaultHref="/tab"></ion-back-button>
      </ion-buttons>
      <!-- <ion-buttons slot="end">
        <app-profile-avatar></app-profile-avatar>
      </ion-buttons> -->
      <ion-title class="ion-padding">Profile</ion-title>
    </ion-toolbar>
  </ion-header>
  <div class="eh-mb-16 eh-mx-auto eh-px-16 eh-mt-16" fxLayout="row" fxLayoutAlign="start center">
    <div>
      <app-avatar *ngIf="me" class="eh-h-86" [size]="'large'" [userUID]="me.uid" [border]="true"
        matTooltip="{{me.name}}">
      </app-avatar>
    </div>
    <div *ngIf="me" fxLayout="column" fxLayoutAlign="center">
      <div class="eh-txt-16 eh-px-16 eh-my-4 e-txt e-txt--ewhite eh-txt-bold eh-txt-large eh-txt-capital">
        {{me.personalDetails.firstName}} {{me.personalDetails.lastName}}
      </div>
      <div class="eh-txt-16 eh-px-16 eh-my-2 e-txt e-txt--ewhite">
        {{me.personalDetails.email}}
      </div>
      <div class="eh-txt-16 eh-px-8 eh-my-2 e-txt e-txt--ewhite eh-txt-capital">
        <ion-icon name="location-outline"></ion-icon>
        {{me.personalDetails.city}}, {{me.personalDetails.country}}
      </div>
    </div>
  </div>
</div>
<!-- <ion-card>
  <ion-card-content>
  </ion-card-content>
</ion-card> -->
<ion-content>
  <ion-item detail="true" class="eh-my-10" (click)="goto(routeIDs.RECOMMENDATIONS)">
    <ion-icon name="thumbs-up" color="primary">
    </ion-icon>
    <ion-label class="eh-p-2 eh-ml-6 eh-txt-12 eh-txt-primary">
      Recommendations
    </ion-label>
  </ion-item>
  <ion-item detail="true" class="eh-my-10" (click)="goto('/profile/edit-profile')">
    <ion-icon name="person" color="primary"></ion-icon>
    <ion-label class="eh-p-2 eh-ml-6 eh-txt-12 eh-txt-primary ">
      Personal Information
    </ion-label>
  </ion-item>
  <ion-item button detail="true" detail="true" class="eh-my-10" (click)="onLogout()">
    <ion-icon name="log-out-outline" color="primary" size="medium"></ion-icon>
    <ion-label class="eh-p-2 eh-ml-6  eh-txt-large eh-txt-12 eh-txt-primary ">
      logout
    </ion-label>
  </ion-item>
  <ion-grid>
    <ion-row>
      <ion-col size="6" *ngFor="let photo of photos; index as position">
        <ion-img [src]="photo.webviewPath"></ion-img>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>
